@import url('https://fonts.googleapis.com/css2?family=Montserrat:wght@400;700&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@400&display=swap');

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    font-family: 'Montserrat', sans-serif;
}

main {
    height: 100vh;
    width: 100%;  
    background: #6190E8;  /* fallback for old browsers */
    background: -webkit-linear-gradient(to right bottom, #A7BFE8, #6190E8);  /* Chrome 10-25, Safari 5.1-6 */
    background: linear-gradient(to right bottom, #A7BFE8, #6190E8); /* W3C, IE 10+/ Edge, Firefox 16+, Chrome 26+, Opera 12+, Safari 7+ */
    
    display: flex;
    justify-content: center;
    align-items: center;
}

.glass {
    width: 50rem;
    height: 32rem;
    background: linear-gradient(to right bottom, rgba(255, 255, 255, 0.1), rgba(255, 255, 255, 0.1));
    backdrop-filter: blur(1rem);
    -webkit-backdrop-filter: blur(1rem);
    border-radius: 10px;
    border: 1px solid rgba( 255, 255, 255, 0.5);
    border-right: 1px solid rgba(255, 255, 255, 0.2);
    border-bottom: 1px solid rgba(255, 255, 255, 0.2);
    box-shadow: 0 25px 45px rgba(0, 0, 0, 0.1);
    z-index: 2;
}

.glass .title {
    text-align: center;
    margin-top: 1.2rem;
    color: #204e9c;
    opacity: 0.5;
    letter-spacing: 1px;
    font-size: 28px;
}

.glass .update {
    font-size: 18px;
    font-weight: 400;
    color: #204e9c;
    text-align: center;
    margin-top: 0.5rem;
}

.glass .cecep {
  font-size: 18px;
  font-weight: 800;
  color: white;
  text-align: center;
  margin-top: 0.5rem;
}

.card-container {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
}

.card {
    width: 20rem;
    height: 10rem;

    background: linear-gradient(to left top, rgba(255, 255, 255, 0.1), rgba(255, 255, 255, 0.1));
    backdrop-filter: blur(5px);
    -webkit-backdrop-filter: blur(5px);
    border-radius: 10px;
    border: 1px solid rgba( 255, 255, 255, 0.18 );
    margin: 2rem 2rem 1rem 2rem;
    z-index: 1;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 1rem;
}

.card-title p {
    font-family: 'Poppins', sans-serif;
    font-size: 15px;
    color: #204e9c;
}

.card-content {
    margin-left: 0.5rem;
}

.card-number {
    margin-top: 0.5rem;
}

.card-number h3 {
    font-weight: 700;
    font-size: 30px;
    letter-spacing: 1px;
    color: white
}

.card-image img {
    width: 120px;
    height: 120px;
    margin-right: 0;
}

.orang {
    font-family: 'Poppins', sans-serif;
    font-weight: 400;
    font-size: 15px;
    letter-spacing: 0;
    color: #204e9c;
}

.square1, .square2 {
    width: 100px;
    height: 100px;
    backdrop-filter: blur(5px);
    position: absolute;
    z-index: 1;
    border-radius: 10px;
}

.square1 {
    top: 7%;
    right: 19%;
    background: linear-gradient(to right bottom, rgba(255, 255, 255, 0.1), rgba(255, 255, 255, 0.5));
    border-right: 1px solid rgba(255, 255, 255, 0.2);
    border-top: 1px solid rgba(255, 255, 255, 0.2);
}

.square2 {
    bottom: 7%;
    left: 19%;
    background: linear-gradient(to right top, rgba(255, 255, 255, 0.1), rgba(255, 255, 255, 0.5));   
    border-left: 1px solid rgba(255, 255, 255, 0.2);
    border-bottom: 1px solid rgba(255, 255, 255, 0.2); 
}

@media (max-width: 568px) {
    main {
        padding: 1.5rem;
        height: 170vh;
    }

    .card-container {
        flex-direction: column;
    }

    .glass {
        width: 25rem;
        height: 62rem;
        margin-top: 2rem;
    }
}